package weber_4_0_sample.org.itscool.ajax;

import org.itscool.weber.action.Action;
import org.itscool.weber.action.ActionBucket;
import org.itscool.weber.controller.Globals;

/**
 * XMLHttpRequestは、XMLによってデータをやりとりするためのもので、
 * 本来の「Ajax」では、responseXMLプロパティを使ってサーバから送
 * られたXMLドキュメントを取得し、XSLTやDOMを利用してページ内容
 * を書き換えることになるだろう。
 *
 * しかし、responseTextプロパティを使えばXMLドキュメント内の
 * テキストデータを利用できるため、これを使って、XML構造は
 * 気にしない手法を使うことも多いだろう。それもまたAjaxだ。
 *
 * @author ios
 *
 */
public class AjaxSample2Action extends Action {
    public String doExecute(ActionBucket bucket)throws Exception{
        String msg = "<p>ボタンがクリックされました。</p>";
        bucket.print(msg);
        System.out.println(msg);
        return Globals.RET_NOFORWARD;
    }
}
